## ChamplainFileTileSource ChamplainFileTileSource — A map source that loads tile data from a file |

## Functions

ChamplainFileTileSource * | champlain_file_tile_source_new_full ()
void | champlain_file_tile_source_load_map_data ()

## Types and Values

struct | ChamplainFileTileSource

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── ChamplainMapSource
                ╰── ChamplainTileSource
                    ╰── ChamplainFileTileSource

## Description

This tile source loads local OpenStreetMap XML data files (*.osm).

## Functions

### champlain_file_tile_source_new_full ()

    ChamplainFileTileSource *
    champlain_file_tile_source_new_full (const gchar *id,
                                         const gchar *name,
                                         const gchar *license,
                                         const gchar *license_uri,
                                         guint min_zoom,
                                         guint max_zoom,
                                         guint tile_size,
                                         ChamplainMapProjection projection,
                                         ChamplainRenderer *renderer);

Constructor of ChamplainFileTileSource.

#### Parameters

id | the map source's id |
name | the map source's name |
license | the map source's license |
license_uri | the map source's license URI |
min_zoom | the map source's minimum zoom level |
max_zoom | the map source's maximum zoom level |
tile_size | the map source's tile size (in pixels) |
projection | the map source's projection |
renderer | the ChamplainRenderer used to render tiles |

#### Returns

a constructed ChamplainFileTileSource object

Since: 0.8

### champlain_file_tile_source_load_map_data ()

    void
    champlain_file_tile_source_load_map_data
                                   (ChamplainFileTileSource *self,
                                    const gchar *map_path);

Loads the OpenStreetMap XML file at the given path.

#### Parameters

self | a ChamplainFileTileSource |
map_path | a path to a map data file |

Since: 0.8

## Types and Values

### struct ChamplainFileTileSource

    struct ChamplainFileTileSource;

The ChamplainFileTileSource structure contains only private data and should be accessed using the provided API

Since: 0.8